'use strict'
var jwt = require('jwt-simple');
var moment = require('moment'); // ayuda a que se regisrtere feha de inicio y de expiracion de la creacion del token
var secret = 'clave_secreta';

exports.createToken = function (user) {
    var payload = {
        id: user.ID_USUARIO,// para guardar el id del objeto usuario  -----leer esto esta diciendo que nomas va en el hash codificado
        name: user.NOMBRE_USUARIO,
        email: user.CORREO_USUARIO,
        iat: moment().unix(), // fechar creacion del token
        exp: moment().add(1, 'hours').unix()
    }


    return jwt.encode(payload, secret)

}

